PDA

View Full Version : [ubuntu] installing g++ in ubuntu 10.04



ceejay724
August 17th, 2010, 01:19 PM
Good Day

I am having trouble putting g++ on ubuntu

I used: "sudo apt-get install g++"

And the output was as follows:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
g++-4.4 libstdc++6-4.4-dev
Suggested packages:
g++-multilib g++-4.4-multilib gcc-4.4-doc libstdc++6-4.4-dbg
libstdc++6-4.4-doc
The following NEW packages will be installed:
g++ g++-4.4 libstdc++6-4.4-dev
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 6,443kB of archives.
After this operation, 21.3MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
libstdc++6-4.4-dev g++-4.4 g++
Install these packages without verification [y/N]? y
Err http://archive.ubuntu.com/ubuntu/ lucid/main libstdc++6-4.4-dev 4.4.3-4ubuntu5
407 Proxy Authentication Required
Err http://archive.ubuntu.com/ubuntu/ lucid/main g++-4.4 4.4.3-4ubuntu5
407 Proxy Authentication Required
Err http://archive.ubuntu.com/ubuntu/ lucid/main g++ 4:4.4.3-1ubuntu1
407 Proxy Authentication Required
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.4/libstdc++6-4.4-dev_4.4.3-4ubuntu5_i386.deb 407 Proxy Authentication Required
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-4.4/g++-4.4_4.4.3-4ubuntu5_i386.deb 407 Proxy Authentication Required
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/g/gcc-defaults/g++_4.4.3-1ubuntu1_i386.deb 407 Proxy Authentication Required
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

HOW DO i AUTHENTICATE THESE PACKAGES?

john newbuntu
August 17th, 2010, 01:40 PM
Typically to install g++/gcc, try:
sudo apt-get install build-essential

Also, query this in google b4 posting it since it has been asked several times b4.

ceejay724
August 17th, 2010, 01:44 PM
I did the whole "sudo apt-get install build-essential" thing and got a similar output. The problem is with the Proxy Authentication Required part. How do I do the authentication?

ubudog
August 17th, 2010, 01:48 PM
Maybe this thread will help you: http://ubuntuforums.org/showthread.php?t=400210

ceejay724
August 17th, 2010, 03:10 PM
Thank you guys

I am still having some problems though
Will try and fight through it, and get back to you guys